<Copy backup>

  #
  # Where to copy files from.  This directive can be used multiple
  # times to specify multiple sources.
  #
  # Parameters:
  #    0. Path
  #    1. Reserved for future use (e.g., authentication credentials)
  #
  Source C:/Users/Example/Desktop
  Source C:/Users/Example/Documents

  #
  # Size of the internal buffer used to copy files.
  #
  # Parameters:
  #    0. Number of bytes
  #
  # Default:  8388608
  #
  BufferSize 8388608

  #
  # Pattern matching details.  By default, all files are included (if
  # "include" is not the first criteria), and this provides a means
  # to exclude certain files based on various criteria such as
  # filename, size, modification date, etc.
  #
  # Parameters:
  #    0. Operation ("include" or "exclude")
  #    1+. Type=Criteria (start with "~" to use Regular Expressions)
  #
  # Operation:
  #    include:  What to include
  #    exclude:  What to exclude (e.g., Criteria exclude file *.tmp)
  #
  # Criteria differs depending on the Type:
  #    file:  Usual file globbing wildcards apply (if not RegEx), and
  #           shell/DOS environment variables can be accessed by
  #           specifying them as ${VARIABLE_NAME}
  #    dir:  Just like files, but operates on directories instead (if
  #          a directory is excluded, all files and sub-directories
  #          within it will be excluded too)
  #    size:  Operators like <, =, and > precede numbers (and numbers
  #           can be suffixed with k, m, g, t, p, and e to indicate
  #           the number of kilobytes, megabytes, gigabytes,
  #           terabytes, petabytes, and exabytes, respectively), and
  #           multiple numbers can be used (e.g., ">50k <100k" to
  #           copy files
  #    created:  Similar to size but time/date ranges are used
  #              instead (or specific dates and times can be used,
  #              but this is not likely to be useful):
  #                 h:  Hours (for over 3 hours ago, specify "<-3h")
  #                 m:  Minutes (for less than 20 minutes ago:  ">-20m")
  #                 s:  Seconds
  #                 d:  Days
  #                 w:  Weeks
  #                 m:  Months
  #                 y:  Years
  #    accessed:  Same as "created" but works on the "last-accessed"
  #               timestamp attribute instead
  #    modified:  Same as "created" but works on the "modified"
  #               timestamp attribute instead
  #
  # NOTE:  This feature is not functional yet.
  #
  Criteria include file=* dir=*
  Criteria exclude dir=${TEMP}

  #
  # Where to copy files to.  This directive can be used multiple
  # times to specify multiple destinations.
  #
  # Parameters:
  #    0. Path
  #    1. Reserved for future use (e.g., authentication credentials)
  #
  # Path:
  #    If the path begins with "?:" then TreeCopy will search all
  #    drive letters until it encounters the first one that contains
  #    a TargetCheck file (see the "TargetCheck" directive, which is
  #    required when using "?:" for the drive letter).  This solves a
  #    peculiar problem that exists only in Microsoft Windows wherein
  #    drive letters are re-assigned unpredictably by Windows, or
  #    when external drives are connected in inconsistent orders by
  #    end-users (which can easily occur if the user forgets that
  #    other external drives are already plugged in).
  #
  #    See also the "TargetCycle" directive for some important notes
  #    about how the time and date will be appended to this Target
  #    path automatically if it is used.
  #
  Target ?:/Backups

  #
  # Target verification file.  This is normally a ".txt" file in which
  # the first line contains the name of the backup media (this first
  # line of text is read from this file, and included in the log file
  # to indicate where the data was copied to -- the naming convention
  # is to be determined by the systems/backups administrator, and we
  # suggest that each device should have a unique label).
  #
  # This filename is appended to the Target path.
  #
  # Note:  SourceCheck directive is also available and functions the
  #        same way but for source paths.
  #
  # Parameters:
  #    0. Name of verification file.
  #    1. Drive letters to test, and in the order they are listed in
  #       (The default is CDEFGHIJKLMNOPQRSTUVWXYZAB)
  #
  TargetCheck .treecopy.txt CDEFGHIJKMNOPQVWXYZ

  #
  # Specifies the number of previous targets to cycle (when this
  # directive is used, the current date and time are automatically
  # appended to the destination path name).  The oldest target will
  # be deleted before the copy operation begins.
  #
  # To do:  Add "maximum-size" option that maximizes space used on
  #         the target by deleting only what is necessary to begin
  #         a new copy.
  #
  TargetCycle 5

  #
  # Scheduling options.
  #
  # Parameters:
  #    0. Schedule type (or date)
  #    1. Time
  #
  # Schedule types:
  #    nightly:  Nightly operation at the specified time
  #    daily:  Same as "nightly" (synonym)
  #    weekdays:  Monday through Friday
  #    weekdays=SuMoTuWeThFrSa:  On specified weekdays only
  #    weekly:  Once each week (parameter is the day of the week, or a
  #             date to calculate from)
  #    fortnight:  Once every 2 weeks (parameter is the day of the week,
  #                or a date to calculate from)
  #    monthly:  Once each month (parameter is the day of the month
  #              {1-31}; negative values will be counted backwards from
  #              the last day of the month)
  #    quarterly:  Once each quarter (parameter is the day of the
  #                quarter {1-93}; negative values will be counted
  #                backwards from the last day of the month)
  #    yearly:  Once each year (parameter is the day of the year
  #             {1-365}; negative values will be counted backwards from
  #             the last day of the month)
  #    date:  20150225 For one-time copy (must be 8 digits:  YYYYMMDD)
  #
  # Time:
  #    24-hour time:  0000 through 2359 (must be 4 digits long; "00" for
  #                   seconds is assumed and will be used by default)
  #    24-hour time with seconds:  000000 through 235959 (6 digits only)
  #
  Schedule nightly 053815

  # TODO
  #
  # Commands to run before and after the copy is complete.
  #
  #PreCmd "Literal string containing command and its parameters"
  #PostCmd "Literal string containing command and its parameters"

  #
  # Directory that the log files will be created in.
  #
  Logs C:/Backups/logs
  
  #
  # Which eMail addresses to send reports to.
  #
  <Mail test>
    From nobody@example.com
    To example@inter-corporate.com
    Subject "TreeCopy test"
    Host mail.inter-corporate.com
    Port 587
  </Mail>

</Copy>
